My Oracle Support Banner

Oracle Olap API Invalid After Adding or Upgrading OLAP (Doc ID 466363.1)

Last updated on JANUARY 31, 2018

Applies to:

Oracle OLAP - Version 9.2.0.8 to 11.2.0.4 [Release 9.2 to 11.2]
Information in this document applies to any platform.

Symptoms

After adding OLAP,  the OLAP API is INVALID in dba_registry.  Re-ran the utlrp.sql script to re-compile all the database objects and the OLAP API still shows up as INVALID.

 

            
XOQ        Oracle OLAP API                11.2.0.2.0      INVALID 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Cause
Solution
 Use the script below to create the xoq_validate_verbose procedure for version < 11.2.0.4
 In 11.2.0.4 the xoq_validate has been expanded with couple of more checks.
References

My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.